# Role : docker_collabora

## Services fournis

- main.yml : Installation de collabora sur un serveur docker_host

## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_collabora_fqdn: collabora.example.com
docker_collabora_version: 1.2.3
docker_collabora_data_dir: /data1
docker_collabora_service_id: collabora
docker_collabora_wopi_fqdn: nextcloud.example.com
docker_collabora_admin_name: admin
docker_collabora_admin_pwd: mot_de_passe_admin

```

| Option                      | Valeur par défaut | Description                                                                                |
|-----------------------------|-------------------|--------------------------------------------------------------------------------------------|
| docker_collabora_fqdn       |                   | Le fqdn pour accéder à collabora                                                           |
| docker_collabora_version    |                   | Version de l'image collabora                                                               |
| docker_collabora_data_dir   |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service        |
| docker_collabora_service_id |                   | Le nom de service souhaité : conditionne le nommage des dossiers et le routage par traefik |
| docker_collabora_wopi_fqdn  |                   | Le FQDN du serveur nextcloud d'où seront issues les connexions à collabora                 |
| docker_collabora_admin_name |                   | id de l'administrateur pour l'accès à l'interface d'admin collabora                        |
| docker_collabora_admin_pwd  |                   | mot de passe de l'administrateur                                                           |



## Dans nextcloud

Installer l'application nextcloud office (collabora sans CODE intégré), et paramétrer l'adresse du serveur collabora.


## Interface d'administration

https://collabora.libretic.fr/browser/dist/admin/admin.html
